#!/bin/sh

name="qssl"
title="QSSL"
package="qssl"
version="1.1"
build="1"
noarch="n"
build_info="Standard build."

info="Psi plugin for using SSL."
desc="QSSL is a plugin that allows Psi to make SSL-secured connections.
What is more, this plugin can be used with other Qt-based
applications if they know what to do with it."
category="security/ssl"
environment="plugin"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source=""
docs_cwd="README"

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

src1="$tmp/sources/qssl"
mkdir -p $src1
cp $src_pkg/qssl{.cpp,.h,.pro,_p.h} $tmp/sources/qssl

export QTDIR=/usr/lib/qt

parent_package="$package"
write_info main

cd $src1

qmake qssl.pro

do_make

msg_installing

copy libqssl.so $pkg_main/usr/share/psi

make_docs

make_package main

clean_up

# $Log: qssl.builder,v $
# Revision 1.8  2003/04/08 11:43:08  swiergot
# - Build 1.
#
# Revision 1.7  2003/04/08 11:37:59  swiergot
# - Commited new sources from Psi CVS.
# - Let's call it version 1.1 :-)
#
# Revision 1.6  2003/03/15 17:38:09  swiergot
# - Build 3.
#
# Revision 1.5  2003/03/15 17:20:04  swiergot
# - Changed prefix to /usr.
#
# Revision 1.4  2003/02/03 15:20:25  swiergot
# - Build 2.
#
# Revision 1.3  2003/01/27 17:15:43  swiergot
# - Changed prefix from /usr to /opt/kde.
#
# Revision 1.2  2002/12/25 22:37:51  swiergot
# - Build 1.
#
# Revision 1.1  2002/12/25 22:13:55  swiergot
# - Initial release.
# - Version 1.0.
#
